com.hazelcast.config.matcher

## Class LegacyMatchingPointConfigPatternMatcher

- java.lang.Object
- - com.hazelcast.config.matcher.LegacyMatchingPointConfigPatternMatcher

- All Implemented Interfaces:
    ConfigPatternMatcher

  Deprecated.

      @Deprecated
      public class LegacyMatchingPointConfigPatternMatcher
      extends Object
      implements ConfigPatternMatcher

  This `ConfigPatternMatcher` supports a simplified wildcard matching. See "Config.md ## Using Wildcard" for details about the syntax.

  In addition the candidates are weighted by the best match. No exception will be thrown if multiple configurations are found. The first best result is returned.

  This matcher represents a "contains" matching to provide backward compatibility.

  Please adapt your configuration and use `MatchingPointConfigPatternMatcher` instead.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LegacyMatchingPointConfigPatternMatcher()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `matches(Iterable<String> configPatterns, String itemName)` Deprecated. Returns the best match for an item name out of a list of configuration patterns.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LegacyMatchingPointConfigPatternMatcher

          public LegacyMatchingPointConfigPatternMatcher()

      Deprecated.

  - ### Method Detail

    - #### matches

          public String matches(Iterable<String> configPatterns,
                                String itemName)
                         throws ConfigurationException

      Deprecated.
      Description copied from interface: `ConfigPatternMatcher`
      Returns the best match for an item name out of a list of configuration patterns.
      Specified by:
        `matches` in interface `ConfigPatternMatcher`
      Parameters:
        `configPatterns` - list of configuration patterns
        `itemName` - item name to match
      Returns:
        a key of configPatterns which matches the item name or `null` if nothing matches
      Throws:
        `ConfigurationException` - if ambiguous configurations are found

Copyright © 2018. All rights reserved.